@import '../../shared';

div.notes {
  display: flex;
  justify-content: space-evenly;
  margin-top: @header-height;
}

div.buttons {
  display: flex;
  justify-content: center;
  margin-top: 30px;

   button {
     margin-left: 30px;
     width: @button-width;
     height: @button-height;
     font-size: @button-font-size;
     background-color: @button-background-color;
     border: none;
   }

  #delete {
    background-color: @delete-button-background-color;
  }
}

aside {
  position: fixed;
  left: 100px;
  width: 300px;
  height: 100%;
  font-family: @font-family;
  background-color: @aside-background-color;
  margin-right: 60px;

  ul {
    list-style-type: none;
    display: inline-block;
    text-align: left;
    margin-left: 0;

    li {
      padding-top: 20px;

      a {
        text-decoration: none;
        color: black;
        display: block;
        text-overflow: ellipsis;
        overflow: hidden;
        padding: 15px 10px 15px;

        &:hover {
          cursor:pointer;
          background-color: lightgrey;
        }
    }
  }

  }
}



article {
  display: inline-block;
  //width:calc(86% - 320px);
  margin-left: 420px;
  //margin: 20px 10% 50px 100px;
  font-family: @font-family;
  text-overflow: ellipsis;
  overflow: hidden;


  p.description {
    margin-top: 30px;
    margin-bottom: 30px;
    text-align: left;
    line-height: 30px;
    text-overflow: ellipsis;
    overflow: hidden;

  }

  hr {
    border: 1px solid @aside-background-color;
  }
}

//div.notes aside ul li {
//  margin-bottom: 10px;
//}

//button {
//  width: 50px;
//  height: 30px;
//  margin-right: 20px;
//}
